<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTickerText</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker_text.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker_text-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTickerText</div></div>
</div><!--header-->
<div class="contents">

<p>Specialized axis ticker which allows arbitrary labels at specified coordinates.  
 <a href="class_q_c_p_axis_ticker_text.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTickerText</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_text_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_text_inherit__map" id="a_q_c_p_axis_ticker_text_inherit__map">
<area shape="rect" title="Specialized axis ticker which allows arbitrary labels at specified coordinates." alt="" coords="5,79,141,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="18,5,129,31"/>
<area shape="poly" title=" " alt="" coords="76,44,76,79,71,79,71,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPAxisTickerText:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text__coll__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_text_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_ticker_text_coll__map" id="a_q_c_p_axis_ticker_text_coll__map">
<area shape="rect" title="Specialized axis ticker which allows arbitrary labels at specified coordinates." alt="" coords="5,79,141,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="18,5,129,31"/>
<area shape="poly" title=" " alt="" coords="76,44,76,79,71,79,71,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a1d7243b1256c1aa9d1d5b99b2e84e648"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a1d7243b1256c1aa9d1d5b99b2e84e648">QCPAxisTickerText</a> ()</td></tr>
<tr class="separator:a1d7243b1256c1aa9d1d5b99b2e84e648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac84622a6bb4f2a98474e185ecaf3189a"><td class="memItemLeft" align="right" valign="top">QMap&lt; double, QString &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> ()</td></tr>
<tr class="separator:ac84622a6bb4f2a98474e185ecaf3189a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c3c59e8fdf4c96568dd50d4a653e791"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a5c3c59e8fdf4c96568dd50d4a653e791">subTickCount</a> () const</td></tr>
<tr class="separator:a5c3c59e8fdf4c96568dd50d4a653e791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cdf1f21940f1f53f5e3d30b2c74f5cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a> (const QMap&lt; double, QString &gt; &amp;<a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a>)</td></tr>
<tr class="separator:a8cdf1f21940f1f53f5e3d30b2c74f5cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a686f38f358a0cf2d9309c84c22581d9b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a686f38f358a0cf2d9309c84c22581d9b">setTicks</a> (const QVector&lt; double &gt; &amp;positions, const QVector&lt; QString &gt; &amp;labels)</td></tr>
<tr class="separator:a686f38f358a0cf2d9309c84c22581d9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cfa50c51183c90186892eeef978d571"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a8cfa50c51183c90186892eeef978d571">setSubTickCount</a> (int subTicks)</td></tr>
<tr class="separator:a8cfa50c51183c90186892eeef978d571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21826d2fcd9a25c194d34d4f67aa1460"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> ()</td></tr>
<tr class="separator:a21826d2fcd9a25c194d34d4f67aa1460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3362873a48614e6d446c193548cb85e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a> (double position, const QString &amp;label)</td></tr>
<tr class="separator:a3362873a48614e6d446c193548cb85e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba34051300eecaefbedb2df8feff2d45"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45">addTicks</a> (const QMap&lt; double, QString &gt; &amp;<a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a>)</td></tr>
<tr class="separator:aba34051300eecaefbedb2df8feff2d45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8140c730e20b0050e1b702af3db00b2e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a8140c730e20b0050e1b702af3db00b2e">addTicks</a> (const QVector&lt; double &gt; &amp;positions, const QVector&lt; QString &gt; &amp;labels)</td></tr>
<tr class="separator:a8140c730e20b0050e1b702af3db00b2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a628f16c41905e8c95c6622d6757a38c4"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a628f16c41905e8c95c6622d6757a38c4">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a628f16c41905e8c95c6622d6757a38c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c2488b877776870239abda4c8106052"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a9c2488b877776870239abda4c8106052">getSubTickCount</a> (double tickStep) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a9c2488b877776870239abda4c8106052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99247779a9c20bea1f50911117540a71"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a99247779a9c20bea1f50911117540a71">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a99247779a9c20bea1f50911117540a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa195c4fd0364d0393f1798fb495d6a60"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#aa195c4fd0364d0393f1798fb495d6a60">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:aa195c4fd0364d0393f1798fb495d6a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a27c48539feb6c293979cd8059ba220c3"><td class="memItemLeft" align="right" valign="top">QMap&lt; double, QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a27c48539feb6c293979cd8059ba220c3">mTicks</a></td></tr>
<tr class="separator:a27c48539feb6c293979cd8059ba220c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206d092b1598eecb981bba7fb16ff44e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_text.html#a206d092b1598eecb981bba7fb16ff44e">mSubTickCount</a></td></tr>
<tr class="separator:a206d092b1598eecb981bba7fb16ff44e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_types_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Typy publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="axisticker-text.png" alt=""/>
</div>
<p>This <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclass generates ticks which can be directly specified by the user as coordinates and associated strings. They can be passed as a whole with <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a> or one at a time with <a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>. Alternatively you can directly access the internal storage via <a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> and modify the tick/label data there.</p>
<p>This is useful for cases where the axis represents categories rather than numerical values.</p>
<p>If you are updating the ticks of this ticker regularly and in a dynamic fasion (e.g. dependent on the axis range), it is a sign that you should probably create an own ticker by subclassing <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a>, instead of using this one.</p>
<p>The ticker can be created and assigned to an axis like this: </p><div class="fragment"></div><!-- fragment --> 
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01940">1940</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a1d7243b1256c1aa9d1d5b99b2e84e648" name="a1d7243b1256c1aa9d1d5b99b2e84e648"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7243b1256c1aa9d1d5b99b2e84e648">&#9670;&#160;</a></span>QCPAxisTickerText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTickerText::QCPAxisTickerText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07231">7231</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="ac84622a6bb4f2a98474e185ecaf3189a" name="ac84622a6bb4f2a98474e185ecaf3189a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac84622a6bb4f2a98474e185ecaf3189a">&#9670;&#160;</a></span>ticks()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMap&lt; double, QString &gt; &amp; QCPAxisTickerText::ticks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a non-const reference to the internal map which stores the tick coordinates and their labels.</p>
<p>You can access the map directly in order to add, remove or manipulate ticks, as an alternative to using the methods provided by <a class="el" href="class_q_c_p_axis_ticker_text.html" title="Specialized axis ticker which allows arbitrary labels at specified coordinates.">QCPAxisTickerText</a>, such as <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a> and <a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01946">1946</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_ac84622a6bb4f2a98474e185ecaf3189a_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_ac84622a6bb4f2a98474e185ecaf3189a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_ac84622a6bb4f2a98474e185ecaf3189a_icgraph" id="aclass_q_c_p_axis_ticker_text_ac84622a6bb4f2a98474e185ecaf3189a_icgraph">
<area shape="rect" title=" " alt="" coords="387,37,529,77"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45" title=" " alt="" coords="196,5,339,45"/>
<area shape="poly" title=" " alt="" coords="373,46,338,40,339,35,374,41"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf" title=" " alt="" coords="196,69,339,109"/>
<area shape="poly" title=" " alt="" coords="374,74,339,80,338,75,373,69"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#a686f38f358a0cf2d9309c84c22581d9b" title=" " alt="" coords="5,5,148,45"/>
<area shape="poly" title=" " alt="" coords="183,28,148,28,148,23,183,23"/>
</map>
</div>

</div>
</div>
<a id="a5c3c59e8fdf4c96568dd50d4a653e791" name="a5c3c59e8fdf4c96568dd50d4a653e791"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c3c59e8fdf4c96568dd50d4a653e791">&#9670;&#160;</a></span>subTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerText::subTickCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01947">1947</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a8cdf1f21940f1f53f5e3d30b2c74f5cf" name="a8cdf1f21940f1f53f5e3d30b2c74f5cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cdf1f21940f1f53f5e3d30b2c74f5cf">&#9670;&#160;</a></span>setTicks() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::setTicks </td>
          <td>(</td>
          <td class="paramtype">const QMap&lt; double, QString &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Sets the ticks that shall appear on the axis. The map key of <em>ticks</em> corresponds to the axis coordinate, and the map value is the string that will appear as tick label.</p>
<p>An alternative to manipulate ticks is to directly access the internal storage with the <a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> getter.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45">addTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07246">7246</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_a8cdf1f21940f1f53f5e3d30b2c74f5cf_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_a8cdf1f21940f1f53f5e3d30b2c74f5cf_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_a8cdf1f21940f1f53f5e3d30b2c74f5cf_cgraph" id="aclass_q_c_p_axis_ticker_text_a8cdf1f21940f1f53f5e3d30b2c74f5cf_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,148,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a" title=" " alt="" coords="196,5,339,45"/>
<area shape="poly" title=" " alt="" coords="148,23,183,23,183,28,148,28"/>
</map>
</div>

</div>
</div>
<a id="a686f38f358a0cf2d9309c84c22581d9b" name="a686f38f358a0cf2d9309c84c22581d9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a686f38f358a0cf2d9309c84c22581d9b">&#9670;&#160;</a></span>setTicks() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::setTicks </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>positions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QVector&lt; QString &gt; &amp;&#160;</td>
          <td class="paramname"><em>labels</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Sets the ticks that shall appear on the axis. The entries of <em>positions</em> correspond to the axis coordinates, and the entries of <em>labels</em> are the respective strings that will appear as tick labels.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45">addTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07259">7259</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_a686f38f358a0cf2d9309c84c22581d9b_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_a686f38f358a0cf2d9309c84c22581d9b_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_a686f38f358a0cf2d9309c84c22581d9b_cgraph" id="aclass_q_c_p_axis_ticker_text_a686f38f358a0cf2d9309c84c22581d9b_cgraph">
<area shape="rect" title=" " alt="" coords="5,37,148,77"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45" title=" " alt="" coords="196,5,339,45"/>
<area shape="poly" title=" " alt="" coords="148,43,182,37,183,42,148,48"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460" title=" " alt="" coords="196,69,339,109"/>
<area shape="poly" title=" " alt="" coords="148,67,183,72,182,78,148,72"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a" title=" " alt="" coords="387,5,529,45"/>
<area shape="poly" title=" " alt="" coords="339,23,373,23,373,28,339,28"/>
</map>
</div>

</div>
</div>
<a id="a8cfa50c51183c90186892eeef978d571" name="a8cfa50c51183c90186892eeef978d571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cfa50c51183c90186892eeef978d571">&#9670;&#160;</a></span>setSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::setSubTickCount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>subTicks</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the number of sub ticks that shall appear between ticks. For <a class="el" href="class_q_c_p_axis_ticker_text.html" title="Specialized axis ticker which allows arbitrary labels at specified coordinates.">QCPAxisTickerText</a>, there is no automatic sub tick count calculation. So if sub ticks are needed, they must be configured with this method. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07270">7270</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a21826d2fcd9a25c194d34d4f67aa1460" name="a21826d2fcd9a25c194d34d4f67aa1460"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21826d2fcd9a25c194d34d4f67aa1460">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Clears all ticks.</p>
<p>An alternative to manipulate ticks is to directly access the internal storage with the <a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> getter.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45">addTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07286">7286</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_a21826d2fcd9a25c194d34d4f67aa1460_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_a21826d2fcd9a25c194d34d4f67aa1460_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_a21826d2fcd9a25c194d34d4f67aa1460_icgraph" id="aclass_q_c_p_axis_ticker_text_a21826d2fcd9a25c194d34d4f67aa1460_icgraph">
<area shape="rect" title=" " alt="" coords="196,5,339,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#a686f38f358a0cf2d9309c84c22581d9b" title=" " alt="" coords="5,5,148,45"/>
<area shape="poly" title=" " alt="" coords="183,28,148,28,148,23,183,23"/>
</map>
</div>

</div>
</div>
<a id="a3362873a48614e6d446c193548cb85e3" name="a3362873a48614e6d446c193548cb85e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3362873a48614e6d446c193548cb85e3">&#9670;&#160;</a></span>addTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::addTick </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>label</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds a single tick to the axis at the given axis coordinate <em>position</em>, with the provided tick <em>label</em>.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#aba34051300eecaefbedb2df8feff2d45">addTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07297">7297</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="aba34051300eecaefbedb2df8feff2d45" name="aba34051300eecaefbedb2df8feff2d45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba34051300eecaefbedb2df8feff2d45">&#9670;&#160;</a></span>addTicks() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::addTicks </td>
          <td>(</td>
          <td class="paramtype">const QMap&lt; double, QString &gt; &amp;&#160;</td>
          <td class="paramname"><em>ticks</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Adds the provided <em>ticks</em> to the ones already existing. The map key of <em>ticks</em> corresponds to the axis coordinate, and the map value is the string that will appear as tick label.</p>
<p>An alternative to manipulate ticks is to directly access the internal storage with the <a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> getter.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07312">7312</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_cgraph" id="aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,148,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a" title=" " alt="" coords="196,5,339,45"/>
<area shape="poly" title=" " alt="" coords="148,23,183,23,183,28,148,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_icgraph" id="aclass_q_c_p_axis_ticker_text_aba34051300eecaefbedb2df8feff2d45_icgraph">
<area shape="rect" title=" " alt="" coords="196,5,339,45"/>
<area shape="rect" href="class_q_c_p_axis_ticker_text.html#a686f38f358a0cf2d9309c84c22581d9b" title=" " alt="" coords="5,5,148,45"/>
<area shape="poly" title=" " alt="" coords="183,28,148,28,148,23,183,23"/>
</map>
</div>

</div>
</div>
<a id="a8140c730e20b0050e1b702af3db00b2e" name="a8140c730e20b0050e1b702af3db00b2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8140c730e20b0050e1b702af3db00b2e">&#9670;&#160;</a></span>addTicks() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerText::addTicks </td>
          <td>(</td>
          <td class="paramtype">const QVector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>positions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QVector&lt; QString &gt; &amp;&#160;</td>
          <td class="paramname"><em>labels</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>To jest metoda przeciążona, udostępniona dla wygody. Różni się od powyższej metody tylko zestawem akceptowanych argumentów.</p>
<p>Adds the provided ticks to the ones already existing. The entries of <em>positions</em> correspond to the axis coordinates, and the entries of <em>labels</em> are the respective strings that will appear as tick labels.</p>
<p>An alternative to manipulate ticks is to directly access the internal storage with the <a class="el" href="class_q_c_p_axis_ticker_text.html#ac84622a6bb4f2a98474e185ecaf3189a">ticks</a> getter.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_text.html#a3362873a48614e6d446c193548cb85e3">addTick</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cdf1f21940f1f53f5e3d30b2c74f5cf">setTicks</a>, <a class="el" href="class_q_c_p_axis_ticker_text.html#a21826d2fcd9a25c194d34d4f67aa1460">clear</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07332">7332</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a628f16c41905e8c95c6622d6757a38c4" name="a628f16c41905e8c95c6622d6757a38c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a628f16c41905e8c95c6622d6757a38c4">&#9670;&#160;</a></span>getTickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerText::getTickStep </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Since the tick coordinates are provided externally, this method implementation does nothing.</p>
<p>\seebaseclassmethod </p>

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07346">7346</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a9c2488b877776870239abda4c8106052" name="a9c2488b877776870239abda4c8106052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c2488b877776870239abda4c8106052">&#9670;&#160;</a></span>getSubTickCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerText::getSubTickCount </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the sub tick count that was configured with <a class="el" href="class_q_c_p_axis_ticker_text.html#a8cfa50c51183c90186892eeef978d571">setSubTickCount</a>.</p>
<p>\seebaseclassmethod </p>

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07358">7358</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a99247779a9c20bea1f50911117540a71" name="a99247779a9c20bea1f50911117540a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99247779a9c20bea1f50911117540a71">&#9670;&#160;</a></span>getTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisTickerText::getTickLabel </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tick</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QLocale &amp;&#160;</td>
          <td class="paramname"><em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QChar&#160;</td>
          <td class="paramname"><em>formatChar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>precision</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the tick label which corresponds to the key <em>tick</em> in the internal tick storage. Since the labels are provided externally, <em>locale</em>, <em>formatChar</em>, and <em>precision</em> are ignored.</p>
<p>\seebaseclassmethod </p>

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07370">7370</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="aa195c4fd0364d0393f1798fb495d6a60" name="aa195c4fd0364d0393f1798fb495d6a60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa195c4fd0364d0393f1798fb495d6a60">&#9670;&#160;</a></span>createTickVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt; double &gt; QCPAxisTickerText::createTickVector </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>tickStep</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the externally provided tick coordinates which are in the specified <em>range</em>. If available, one tick above and below the range is provided in addition, to allow possible sub tick calculation. The parameter <em>tickStep</em> is ignored.</p>
<p>\seebaseclassmethod </p>

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07385">7385</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a27c48539feb6c293979cd8059ba220c3" name="a27c48539feb6c293979cd8059ba220c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27c48539feb6c293979cd8059ba220c3">&#9670;&#160;</a></span>mTicks</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QMap&lt;double, QString&gt; QCPAxisTickerText::mTicks</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01962">1962</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a206d092b1598eecb981bba7fb16ff44e" name="a206d092b1598eecb981bba7fb16ff44e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a206d092b1598eecb981bba7fb16ff44e">&#9670;&#160;</a></span>mSubTickCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisTickerText::mSubTickCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01963">1963</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker_text.html">QCPAxisTickerText</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
